| DocBook: The Definitive Guide Version 2.0.7 (Alpha)

# imageobjectco

$Revision: 1.3 $

$Date: 2002/06/12 11:18:13 $

imageobjectco — A wrapper for an image object with callouts

## Synopsis

### Content Model

    imageobjectco ::=
    (areaspec,imageobject,calloutlist*)

### Attributes

Common attributes

## Description

`Callout`s, such as numbered bullets, are an annotation mechanism. In an online system, these bullets are frequently “hot,” and clicking on them navigates to the corresponding annotation.

A `ImageObjectCO` is a wrapper around an `AreaSpec` and an `ImageObject`. An `AreaSpec` identifies the locations (coordinates) on the image where the `Callout`s occur. The `ImageObjectCO` may also contain the list of annotations in a `CalloutList`, although the `CalloutList` may also occur outside of the wrapper, elsewhere in the document.

### Processing expectations

Formatted as a displayed block. It may not be rendered at all, depending on its placement within the `MediaObject` that contains it and the constraints on the publishing system. For a more detailed description of the semantics involved, see `MediaObject`.

The mandatory processing expectations of a `ImageObjectCO` are minimal: a system is expected to render the image, if possible, and the callout list, if present.

In online environments, the processing system may be able to instantiate the linking relationships between the callout marks on the image and the annotations. For example, an HTML presentation system might use the coordinate information to construct a client-side image map. Some processing systems may even be able to go a step further and generate the callout marks automatically from the coordinate information. But this level of sophistication is not mandatory.

### Future Changes

In DocBook V5.0, `ImageObjectCO` will be discarded. In its place, use `MediaObjectCO`.

### Parents

These elements contain imageobjectco: `mediaobjectco`.

### Children

The following elements occur in imageobjectco: `areaspec`, `calloutlist`, `imageobject`.

## See Also

`areaspec`, `calloutlist`, `co`, `coref`, `graphicco`, `mediaobjectco`, `programlistingco`, `screenco`.

## Examples

For examples, see `mediaobjectco`.

imageobject |  | important

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.